MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026406Community[OCCT] OCCT:Modeling Algorithmspublic2015-07-07 15:572015-10-23 20:51
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026406: BRepPrimAPI_MakeRevol crash when rotating Paraboloid face.
DescriptionCode snippets:
 TopoDS_Shape aParaboloid = // load from file Paraboloid.brep.
 gp_Ax1 aAxis(gp::Origin(), gp::DZ());
 BRepPrimAPI_MakeRevol aMakeRevol(aParaboloid , aAxis, M_PI/2.0,Standard_True);

 Crash stack frame:

> TKPrim.dll!BRepSweep_Rotation::MakeEmptyGeneratingEdge(const TopoDS_Shape & aGenE, const Sweep_NumShape & aDirV) Line 222 C++
     TKPrim.dll!BRepSweep_NumLinearRegularSweep::Shape(const TopoDS_Shape & aGenS, const Sweep_NumShape & aDirS) Line 131 C++
     TKPrim.dll!BRepSweep_NumLinearRegularSweep::Shape(const TopoDS_Shape & aGenS, const Sweep_NumShape & aDirS) Line 161 C++
     TKPrim.dll!BRepSweep_NumLinearRegularSweep::Shape(const TopoDS_Shape & aGenS, const Sweep_NumShape & aDirS) Line 309 C++
     TKPrim.dll!BRepSweep_NumLinearRegularSweep::Shape(const TopoDS_Shape & aGenS, const Sweep_NumShape & aDirS) Line 253 C++
     TKPrim.dll!BRepSweep_NumLinearRegularSweep::Shape() Line 81 C++
     TKPrim.dll!BRepSweep_Revol::Shape() Line 71 C++
     TKPrim.dll!BRepPrimAPI_MakeRevol::Build() Line 80 C++
     TKPrim.dll!BRepPrimAPI_MakeRevol::BRepPrimAPI_MakeRevol(const TopoDS_Shape & S, const gp_Ax1 & A, const double D, const unsigned int Copy) Line 44 C++
Steps To Reproducerestore Paraboloid.brep p
revol r p 0 0 0 0 0 1 180 c
checkshape r
Additional information
and documentation updates
The treatment of degenerated and seem edges of input shape in methods BRepSweep_Rotation::HasShape(...) and MakeEmptyGeneratingEdge(...) was improved to avoid creating extra faces based on these edges.
TagsNo tags attached.
Test case numberbugs modalg_6 bug26406
Attached Files? file icon Paraboloid.brep (38,563 bytes) 2015-07-07 15:57

- Relationships
related to 0026387closedbugmaster BRepPrimAPI_MakePrism crash when extruding Paraboloid face. 

-  Notes
(0042893)
git (administrator)
2015-07-10 10:09

Branch CR26406 has been created by ifv.

SHA-1: bcf5d2579116f429d40e357d834ff7d995cc69d7


Detailed log of new commits:

Author: ifv
Date: Fri Jul 10 10:09:19 2015 +0300

    0026406: BRepPrimAPI_MakeRevol crash when rotating Paraboloid face.
(0042894)
ifv (developer)
2015-07-10 10:11

Please review branch CR26406
(0042917)
msv (developer)
2015-07-10 14:56

Reviewed.
(0042928)
git (administrator)
2015-07-10 16:45

Branch CR26406 has been updated forcibly by apv.

SHA-1: c99379c6d74be330ab6d49de4054df550b29e3a1
(0042929)
apv (tester)
2015-07-10 16:46

Branch CR26406 has been rebased on the current master
(0042972)
git (administrator)
2015-07-13 16:03

Branch CR26406 has been updated by apv.

SHA-1: 9a1f64925f4ca85dd0a28e2fd27b1b79c595ee24


Detailed log of new commits:

Author: apv
Date: Mon Jul 13 16:02:57 2015 +0300

    Test-case for issue 0026406

(0042975)
apv (tester)
2015-07-13 16:48

Dear BugMaster,

Branch CR26406 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: c99379c6d74be330ab6d49de4054df550b29e3a1

Number of compiler warnings:
occt component:
   Linux: 24 (24 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug26406 - OK
http://occt-tests/CR26406-master-occt-64/Debian70-64/bugs/modalg_6/bug26406.html [^]
http://occt-tests/CR26406-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26406.html [^]

Testing on Linux:
Total MEMORY difference: 95921212 / 96685045 [-0.79%]
Total CPU difference: 16809.880000000012 / 17351.219999999736 [-3.12%]

Testing on Windows:
Total MEMORY difference: 57065519 / 56550310 [+0.91%]
Total CPU difference: 16042.394035198779 / 15995.874536998928 [+0.29%]
(0044194)
git (administrator)
2015-08-14 10:56

Branch CR26406 has been deleted by inv.

SHA-1: 9a1f64925f4ca85dd0a28e2fd27b1b79c595ee24

- Related Changesets
occt: master 4f0fb8b3
Timestamp: 2015-07-20 11:59:07
Author: ifv
Committer: bugmaster
Details ] Diff ]
0026406: BRepPrimAPI_MakeRevol crash when rotating Paraboloid face.

Test-case for issue 0026406
mod - src/BRepSweep/BRepSweep_NumLinearRegularSweep.cxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_Rotation.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug26406 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-07 15:57 Vico Liang New Issue
2015-07-07 15:57 Vico Liang Assigned To => msv
2015-07-07 15:57 Vico Liang File Added: Paraboloid.brep
2015-07-07 16:00 Vico Liang Relationship added related to 0026387
2015-07-07 17:08 msv Assigned To msv => ifv
2015-07-10 10:09 git Note Added: 0042893
2015-07-10 10:10 ifv Status new => assigned
2015-07-10 10:11 ifv Note Added: 0042894
2015-07-10 10:11 ifv Assigned To ifv => msv
2015-07-10 10:11 ifv Status assigned => resolved
2015-07-10 10:11 ifv Steps to Reproduce Updated View Revisions
2015-07-10 14:56 msv Note Added: 0042917
2015-07-10 14:56 msv Assigned To msv => bugmaster
2015-07-10 14:56 msv Status resolved => reviewed
2015-07-10 16:34 apv Assigned To bugmaster => apv
2015-07-10 16:45 git Note Added: 0042928
2015-07-10 16:46 apv Note Added: 0042929
2015-07-13 16:03 git Note Added: 0042972
2015-07-13 16:03 apv Test case number => bugs modalg_6 bug26406
2015-07-13 16:48 apv Note Added: 0042975
2015-07-13 16:48 apv Assigned To apv => bugmaster
2015-07-13 16:48 apv Status reviewed => tested
2015-07-23 11:55 bugmaster Changeset attached => occt master 4f0fb8b3
2015-07-23 11:55 bugmaster Status tested => verified
2015-07-23 11:55 bugmaster Resolution open => fixed
2015-07-23 13:25 bugmaster Target Version => 7.0.0
2015-08-14 10:56 git Note Added: 0044194
2015-08-26 11:04 abv Target Version 7.0.0 => 6.9.1
2015-09-01 13:53 ifv Additional Information Updated View Revisions
2015-10-16 14:56 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker